com.independentsoft.exchange

## Class Identity

- java.lang.Object
- - com.independentsoft.exchange.Identity

-     public class Identity
      extends java.lang.Object

  The Class Identity.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Identity()` Initializes a new instance of the Identity class.
    `Identity(java.lang.String primarySmtpAddress)` Initializes a new instance of the Identity class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPrimarySmtpAddress()` Gets the primary SMTP address that is used to create the connecting SID.
    `java.lang.String` | `getPrincipalName()` Gets the fully qualified domain name (FQDN) for the location of the user account.
    `java.lang.String` | `getSid()` Gets the security identifier of the account to be impersonated.
    `java.lang.String` | `getSmtpAddress()` Gets the Simple Mail Transfer Protocol (SMTP) address of the account to use for Exchange Impersonation.
    `void` | `setPrimarySmtpAddress(java.lang.String primarySmtpAddress)` Sets the primary SMTP address that is used to create the connecting SID.
    `void` | `setPrincipalName(java.lang.String principalName)` Sets the fully qualified domain name (FQDN) for the location of the user account.
    `void` | `setSid(java.lang.String sid)` Sets the security identifier of the account to be impersonated.
    `void` | `setSmtpAddress(java.lang.String smtpAddress)` Sets the Simple Mail Transfer Protocol (SMTP) address of the account to use for Exchange Impersonation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Identity

          public Identity()

      Initializes a new instance of the Identity class.

    - #### Identity

          public Identity(java.lang.String primarySmtpAddress)

      Initializes a new instance of the Identity class.
      Parameters:
        `primarySmtpAddress` - the primary smtp address

  - ### Method Detail

    - #### getPrincipalName

          public java.lang.String getPrincipalName()

      Gets the fully qualified domain name (FQDN) for the location of the user account.
      Returns:
        the principal name

    - #### setPrincipalName

          public void setPrincipalName(java.lang.String principalName)

      Sets the fully qualified domain name (FQDN) for the location of the user account.
      Parameters:
        `principalName` - the new principal name

    - #### getSid

          public java.lang.String getSid()

      Gets the security identifier of the account to be impersonated.
      Returns:
        the sid

    - #### setSid

          public void setSid(java.lang.String sid)

      Sets the security identifier of the account to be impersonated.
      Parameters:
        `sid` - the new sid

    - #### getPrimarySmtpAddress

          public java.lang.String getPrimarySmtpAddress()

      Gets the primary SMTP address that is used to create the connecting SID.
      Returns:
        the primary smtp address

    - #### setPrimarySmtpAddress

          public void setPrimarySmtpAddress(java.lang.String primarySmtpAddress)

      Sets the primary SMTP address that is used to create the connecting SID.
      Parameters:
        `primarySmtpAddress` - the new primary smtp address

    - #### getSmtpAddress

          public java.lang.String getSmtpAddress()

      Gets the Simple Mail Transfer Protocol (SMTP) address of the account to use for Exchange Impersonation.
      Returns:
        the smtp address

    - #### setSmtpAddress

          public void setSmtpAddress(java.lang.String smtpAddress)

      Sets the Simple Mail Transfer Protocol (SMTP) address of the account to use for Exchange Impersonation.
      Parameters:
        `smtpAddress` - the new primary smtp address